package com.philisense.rdgo.bean.response;

import java.util.List;

/**
 * Created by shaop on 2018/1/4.
 */

public class PutOutRecordBean {
    /**
     * success : 0
     * message : 查询成功!
     * data : [{"deleted":0,"account":"0001","name":"张三","typeCode":"2222","typeName":"红蜻蜓5L2","orderChildId":"5a3a6634ee0c310e105235ac","orderId":"5a3a6634ee0c310e105235ab","sendChildId":"5a40b9de8af22309f02d7646","sendId":"8883278923749279","Num":20,"time":"2018-01-04T14:17:46.365Z","recordType":1},{"deleted":0,"account":"0001","name":"张三","typeCode":"2222","typeName":"红蜻蜓5L2","orderChildId":"5a3a6634ee0c310e105235ac","orderId":"5a3a6634ee0c310e105235ab","sendChildId":"5a40b9de8af22309f02d7646","sendId":"8883278923749279","Num":20,"time":"2018-01-04T14:14:40.615Z","recordType":1},{"deleted":0,"account":"0001","name":"张三","typeCode":"2222","typeName":"红蜻蜓5L2","orderChildId":"5a3a6634ee0c310e105235ac","orderId":"5a3a6634ee0c310e105235ab","sendChildId":"5a40b9de8af22309f02d7646","sendId":"8883278923749279","Num":20,"time":"2018-01-04T13:59:36.573Z","recordType":1},{"deleted":0,"account":"0001","name":"张三","typeCode":"2222","typeName":"红蜻蜓5L2","orderChildId":"5a3a6634ee0c310e105235ac","orderId":"5a3a6634ee0c310e105235ab","sendChildId":"5a40b9de8af22309f02d7646","sendId":"8883278923749279","Num":20,"time":"2018-01-04T13:56:51.989Z","recordType":1}]
     */

    private int success;
    private String message;
    private List<DataBean> data;

    public int getSuccess() {
        return success;
    }

    public void setSuccess(int success) {
        this.success = success;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * deleted : 0
         * account : 0001
         * name : 张三
         * typeCode : 2222
         * typeName : 红蜻蜓5L2
         * orderChildId : 5a3a6634ee0c310e105235ac
         * orderId : 5a3a6634ee0c310e105235ab
         * sendChildId : 5a40b9de8af22309f02d7646
         * sendId : 8883278923749279
         * Num : 20
         * time : 2018-01-04T14:17:46.365Z
         * recordType : 1
         * fullName：全名
         */

        private int deleted;
        private String account;
        private String name;
        private String typeCode;
        private String typeName;
        private String orderChildId;
        private String orderId;
        private String sendChildId;
        private String license;
        private String rcyCorp;
        private String sendId;
        private int Num;
        private String time;
        private int recordType;
        private String fullName;
        private String gene;
        private String level;
        private String opTime;

        public String getOpTime() {
            return opTime;
        }

        public void setOpTime(String opTime) {
            this.opTime = opTime;
        }

        public String getGene() {
            return gene;
        }

        public void setGene(String gene) {
            this.gene = gene;
        }

        public String getLevel() {
            return level;
        }

        public void setLevel(String level) {
            this.level = level;
        }

        public String getFullName() {
            return fullName;
        }

        public void setFullName(String fullName) {
            this.fullName = fullName;
        }

        public String getLicense() {
            return license;
        }

        public void setLicense(String license) {
            this.license = license;
        }

        public String getRcyCorp() {
            return rcyCorp;
        }

        public void setRcyCorp(String rcyCorp) {
            this.rcyCorp = rcyCorp;
        }

        public int getDeleted() {
            return deleted;
        }

        public void setDeleted(int deleted) {
            this.deleted = deleted;
        }

        public String getAccount() {
            return account;
        }

        public void setAccount(String account) {
            this.account = account;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getTypeCode() {
            return typeCode;
        }

        public void setTypeCode(String typeCode) {
            this.typeCode = typeCode;
        }

        public String getTypeName() {
            return typeName;
        }

        public void setTypeName(String typeName) {
            this.typeName = typeName;
        }

        public String getOrderChildId() {
            return orderChildId;
        }

        public void setOrderChildId(String orderChildId) {
            this.orderChildId = orderChildId;
        }

        public String getOrderId() {
            return orderId;
        }

        public void setOrderId(String orderId) {
            this.orderId = orderId;
        }

        public String getSendChildId() {
            return sendChildId;
        }

        public void setSendChildId(String sendChildId) {
            this.sendChildId = sendChildId;
        }

        public String getSendId() {
            return sendId;
        }

        public void setSendId(String sendId) {
            this.sendId = sendId;
        }

        public int getNum() {
            return Num;
        }

        public void setNum(int Num) {
            this.Num = Num;
        }

        public String getTime() {
            return time;
        }

        public void setTime(String time) {
            this.time = time;
        }

        public int getRecordType() {
            return recordType;
        }

        public void setRecordType(int recordType) {
            this.recordType = recordType;
        }
    }
}
